Cancel T-money Payment
This API processes cancellations for T-money payment transactions.
Test Key Information
API Information
POST/spay/APICancel.do
Content-Type
application/json테스트
https://tbgw.settlebank.co.kr/spay/APICancel.do운영
https://gw.settlebank.co.kr/spay/APICancel.doImportant Notes
T-money Cancellation Important Notes
For T-money, the cancellation sequence (cnclOrd) is fixed at 001. Partial cancellation is not available.
- T-money cancellation supports full cancellation only.
- The cancellation sequence (
cnclOrd) is fixed at 001.
Request Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
nx_mid_il: T-money Test└verAN(4)Alphanumeric, up to 4 bytes*Message version
Message version
*Fixed value
└methodA(2)Alphabetic, up to 2 bytes*Payment method
Payment method
TM: T-money*Fixed for T-money
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
Business type code
*Fixed value (C0: Cancellation)
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
Encryption type code
*Fixed value
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Unique order number generated by the merchant
Unique order number generated by the merchant
└trdDtN(8)Numeric, up to 8 bytes*Cancellation request date (YYYYMMDD)
Cancellation request date (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Cancellation request time (HHMMSS)
Cancellation request time (HHMMSS)
└mobileYnA(1)Alphabetic, up to 1 bytesMobile indicator
Mobile indicator
Y: Mobile web/app N: PC or other└osTypeA(1)Alphabetic, up to 1 bytesOS type
OS type
A: Android I: iOS W: Windows M: Mac E: Otherdata Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
NOTE
Hash Generation Combination
trdDt + trdTm + mchtId + mchtTrdNo + cnclAmt (plaintext) + hashKey
└orgTrdNoAN(40)Alphanumeric, up to 40 bytes*Transaction number issued by Hecto Financial at the time of payment
Transaction number issued by Hecto Financial at the time of payment
└crcCdA(3)Alphabetic, up to 3 bytes*Currency code
Currency code
*Fixed value
└cnclOrdN(3)Numeric, up to 3 bytes*Cancellation sequence (fixed at 001 for T-money)
Cancellation sequence (fixed at 001 for T-money)
*Fixed value
└cnclAmtN(12)Numeric, up to 12 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Cancellation amountCancellation amount
└cnclRsnAHN(255)Alphanumeric + Korean, up to 255 bytesReason for cancellation
Reason for cancellation
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Merchant ID
nxgf_jt_ilMerchant ID
└verAN(4)Alphanumeric, up to 4 bytes*Message version
0A19Message version
└methodA(2)Alphabetic, up to 2 bytes*Payment method
TMPayment method
TM: T-money└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
C0Business type code
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
23Encryption type code
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number
TMONEY20211231100000Merchant order number
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction number
STFP_PGGFnxgf_jt_il0211129135810M1494620Hecto Financial transaction number
└trdDtN(8)Numeric, up to 8 bytes*Cancellation request date (YYYYMMDD)
20211231Cancellation request date (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Cancellation request time (HHMMSS)
100000Cancellation request time (HHMMSS)
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure)
0021Transaction status code (success/failure)
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Result code
0000Result code
└outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Result message
Processed successfully.Result message
data Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*The hash value from the request returned as-is
f395b6725a9a18...The hash value from the request returned as-is
└orgTrdNoAN(40)Alphanumeric, up to 40 bytes*Transaction number issued by Hecto Financial at the time of payment
STFP_PGGFnxgf_jt_il0211129135810M1494620Transaction number issued by Hecto Financial at the time of payment
└cnclAmtN(12)Numeric, up to 12 bytes*
AES-256AES-256/ECB/PKCS5PaddingCancellation amount1000Cancellation amount
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
Need technical support?
Code Samples
HectoFinancial GitHub